Show / Hide Table of Contents

# Struct AtkComponentNumericInput

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkComponentNumericInput

### Fields

| Improve this Doc View Source

#### AtkComponentInputBase

##### Declaration

    public AtkComponentInputBase AtkComponentInputBase

##### Field Value

Type | Description
--- | ---
AtkComponentInputBase |

| Improve this Doc View Source

#### AtkTextNode

##### Declaration

    public AtkTextNode*AtkTextNode

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### Data

##### Declaration

    public AtkUldComponentDataNumericInput Data

##### Field Value

Type | Description
--- | ---
AtkUldComponentDataNumericInput |

### Methods

| Improve this Doc View Source

#### SetValue(Int32)

##### Declaration

    [MemberFunction("40 53 48 83 EC 60 8B 81")]
    public void SetValue(int value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | value |